1 Reply Latest reply on Feb 24, 2009 6:59 AM by Ales Justin

    Installation, versions, etc...

    Tonio Caputo Newbie

      Hi,

      I am trying to understand how this thing works, my first basic doubt is:
      What files should I downloadl:
      - I will be using JBoss 4.2.3, Spring 2.5.6
      - It's not clear for me what version of SpringDeployer should I download

      The second question is:
      If the version I download does not contain a .deployer distribution how do
      I deploy it to Jboss

      The third question is:
      If I need to change spring version, it is enough just changing the jars
      (of course not major versions, just for example 2.5.6, 2.5.7)

      Are there any docs aside from the example, where to look for info ?

      Thanks a lot
      tonio

        • 1. Re: Installation, versions, etc...
          Ales Justin Master

          You're right, I should post some version compatibility info.
          e.g. JBossAS 4.2.3 --> SpringDeployer 2.1

          I'll do it asap, but anyway, thanks for warning me about the confusion. :-)

          "tonioc" wrote:

          I am trying to understand how this thing works, my first basic doubt is:
          What files should I downloadl:
          - I will be using JBoss 4.2.3, Spring 2.5.6
          - It's not clear for me what version of SpringDeployer should I download

          You should dl this one: SpringDeployer 2.1, jboss-spring-jdk5-2.5.jar

          "tonioc" wrote:

          The second question is:
          If the version I download does not contain a .deployer distribution how do I deploy it to Jboss

          The .deployer distribution doesn't change for major versions.
          It's just META-INF/jboss-service.xml; deployer description
          and jboss-spring.jar and of course spring.jar.

          Download one of the full .deployer distros, and just change jboss-spring.jar.
          As you can see, 2.1 has two versions of it, since 2.0.8 and 2.5.x Spring are not fully compatible wrt SpringDeployer.

          "tonioc" wrote:

          The third question is:
          If I need to change spring version, it is enough just changing the jars
          (of course not major versions, just for example 2.5.6, 2.5.7)

          Sure, it depends on the Spring compatibility.
          But micro version changes should be fine.

          "tonioc" wrote:

          Are there any docs aside from the example, where to look for info ?

          There is a wiki and this forum.
          The idea how this (SpringDeployer) works is described in the article.